task ExtractVCFinfo {
	File snv_train
	File snv_test
	File indel_train
	File indel_test
	String snv_train_sampleName = basename(snv_train,".vcf")
	String snv_test_sampleName = basename(snv_test,".vcf")
	String indel_train_sampleName = basename(indel_train,".vcf")
	String indel_test_sampleName = basename(indel_test,".vcf")	
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		python /opt/extract_vcf_information.py -i ${snv_train} -o ${snv_train_sampleName}.txt
		python /opt/extract_vcf_information.py -i ${snv_test} -o ${snv_test_sampleName}.txt
		python /opt/extract_vcf_information.py -i ${indel_train} -o ${indel_train_sampleName}.txt
		python /opt/extract_vcf_information.py -i ${indel_test} -o ${indel_test_sampleName}.txt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File snv_train_vcf = "${snv_train_sampleName}.txt"
		File snv_test_vcf = "${snv_test_sampleName}.txt"
		File indel_train_vcf = "${indel_train_sampleName}.txt"
		File indel_test_vcf = "${indel_test_sampleName}.txt"
	}
}