task sister {
	File LCL5_vcf
	File LCL6_vcf
	File ref_dir
	String fasta
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		mkdir sister
		vbt varcomp -called ${LCL5_vcf} -base ${LCL6_vcf} -ref ${ref_dir}/${fasta} -outDir sister -filter none

		mv sister/TPBase.vcf ${family_name}.sister.consistent.vcf
		mv sister/FP.vcf ${family_name}.LCL5.uniq.vcf
		mv sister/FN.vcf ${family_name}.LCL6.uniq.vcf
		mv sister/log.txt ${family_name}.sister.vbt.log.txt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sister_consistent_vcf = "${family_name}.sister.consistent.vcf"
		File LCL5_uniq = "${family_name}.LCL5.uniq.vcf"
		File LCL6_uniq = "${family_name}.LCL6.uniq.vcf"
		File log = "${family_name}.sister.vbt.log.txt"
	}
}