task votes {
	Array[File] mother_vcf_gz
	Array[File] mother_vcf_idx
	Array[File] father_vcf_gz
	Array[File] father_vcf_idx
	Array[File] twins_vcf_gz
	Array[File] twins_vcf_idx
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcfmerge --force-merge-all --no-gzip -o LCL8.sister.consistent.merged.vcf ${sep=" " mother_vcf_gz}

		rtg vcfmerge --force-merge-all --no-gzip -o LCL7.sister.consistent.merged.vcf ${sep=" " father_vcf_gz}

		rtg vcfmerge --force-merge-all --no-gzip -o Twins.sister.consistent.vcf ${sep=" " twins_vcf_gz}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mother_merged_vcf = "LCL8.sister.consistent.merged.vcf"
		File father_merged_vcf = "LCL7.sister.consistent.merged.vcf"
		File twins_merged_vcf = "Twins.sister.consistent.merged.vcf"
	}
}
