task zipIndex {
	File mother_vcf
	File father_vcf
	File twins_vcf
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg bgzip ${mother_vcf} 
		rtg index -f vcf ${mother_vcf}.gz

		rtg bgzip ${father_vcf} 
		rtg index -f vcf ${father_vcf}.gz

		rtg bgzip ${twins_vcf} 
		rtg index -f vcf ${twins_vcf}.gz

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mother_vcf_gz = "${mother_vcf}.gz"
		File father_vcf_gz = "${father_vcf}.gz"
		File twins_vcf_gz = "${twins_vcf}.gz"
		File mother_vcf_idx = "${mother_vcf}.gz.tbi"
		File father_vcf_idx = "${father_vcf}.gz.tbi"
		File twins_vcf_idx = "${twins_vcf}.gz.tbi"
	}
}